#pragma OPENCL EXTENSION cl_amd_printf : enable

__kernel void EmitFromPoint(__global float4* spawnPositions, __global float4* spawnVelocities, __global float4* spawnAttributes, float4 position, int workSize, int offset)
{
	if(get_global_id(0) < offset+workSize)
	{
		uint index = get_global_id(0);

		//spawnPositions[index] = position;
		//spawnVelocities[index] = (float4)(0.0,0.0,0.0,0.0);
		//TODO: mark segment?
		spawnAttributes[index] = (120.0, 0.90, 0.0, 1.0);
	}
	else return;
}